Bug 190679 - "man" component for base system
Summary: "man" component for base system
Status: Closed FIXED
Alias: None
Product: Services
Classification: Unclassified
Component: Bug Tracker (show other bugs)
Version: unspecified
Hardware: Any Any
: --- Affects Some People
Assignee: Oleksandr Tymoshenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-05 21:21 UTC by Dag-Erling Smørgrav
Modified: 2020-01-14 19:47 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dag-Erling Smørgrav freebsd_committer 2014-06-05 21:21:10 UTC
Please add a "man" (or "doc") component to the Base System product for PRs concerning documentation in the base system as opposed to the doc tree (e.g. #63084).
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2014-06-06 02:27:13 UTC
A 'man page' component separate from the 'Documentation' component is good.

Maybe it is better to add it to the 'Documentation' product and call the existing Documentation component 'Website' ?
Comment 2 Dag-Erling Smørgrav freebsd_committer 2014-06-09 18:49:27 UTC
I think you're confusing products and components.

I assume that the Documentation product corresponds to the doc tree, which is much more than the website (the handbook has been published in print several times in the past).

What I asked for is a man component for the Base System product, which corresponds to the base tree.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2014-06-16 01:50:25 UTC
I don't believe the bug tracker should be divided by the tree.  Instead it should be divided by where people are likely to look for bugs that are related to them.

The question to me is whether people are likely to look under "Documentation" for man page related bugs, or whether they are likely to look under their own subsystem and notice doc bugs on the way.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2014-06-16 02:03:07 UTC
"I assume that the Documentation product corresponds to the doc tree, which is much more than the website (the handbook has been published in print several times in the past)."

I am very familiar with this.  What I am proposing (somewhat lightly) is to have a "Handbook/FAQ/etc." component, "Website" component, and a "man pages" component.  One thing I'm concerned about is that most people won't differentiate between the website and the articles.
Comment 5 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-02-21 22:19:07 UTC
Is this still relevant? Looks like Documentation/Documentation category works for submitter so far.
Comment 6 Dag-Erling Smørgrav freebsd_committer 2018-02-23 09:39:20 UTC
Yes, it is still relevant.  Man pages are part of the base system, and a PR for an error or omission in a man page should be filed under the “Base System” product, not the “Documentation” product.
Comment 7 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-02-23 23:58:12 UTC
(In reply to Dag-Erling Smørgrav from comment #6)

I agree with Eitan: Bugzilla components structure should be reflection of code tree structure, it should be based on workflows for reporting/fixing bugs. And from this point of view adding "man" component to base system makes sense, IMO. It's more about visibility of PRs and who works on them. I don't think many src developers are subscribed to freebsd-docs@ which is default assignee for Documentation/Documentation component, so unless someone alerts developer about specific PR or developer routinely checks bugzilla man PR is going unnoticed.

I ran the idea of "man" component with freebsd-bugs@ as default assignee and freebsd-docs@ as default Cc by docs team IRC channel and got some positive feedback so I emailed doceng@ asking them if this approach would negatively affect their workflow.
Comment 8 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-09 06:34:15 UTC
doceng@ approved creating component for manpages PRs with bugs@ as a default assignee and doc@ as a default Cc. 

After some consideration and discussing it was decided to create component as a part of Documentation product. Products/components should be described from the perspective of the reporter given how they interact/think about the system and for such user man pages are part of documentation.

I'll start migrating PRs to new component next week.
Comment 9 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-07-16 01:10:51 UTC
Closing as fixed: all man-related PRs have been migrated to the new component.
Comment 10 dennis538 2020-01-14 19:47:02 UTC
MARKED AS SPAM